Skip to content

Ideogram Image Description ​

The Ideogram image description is used to extract natural language descriptions from the picture and is suitable for generating prompt, organizing media assets, creating search text and supporting secondary creations.

API Path ​

MethodologyPathReturns by
POST/ideogram/describeReturns the image description text.

Example request ​

bash
curl https://moonnexai.com/ideogram/describe \
  -H "Authorization: Bearer <MOONNEXAI_API_KEY>" \
  -H "Content-Type: application/json" \
  -d '{
    "image_url": "https://example.com/input.png"
  }'

Common field ​

fieldAnnotations
image_urlEnter the image URL.

Results-based processing ​

sceneTreatment
Generate promptUse the description as a draft for the prompt and allow the user to edit.
media assets RetrievalSaves the description text as a photo search and classification field.
Secondary GeneratePasses the description to Ideogram text-to-image.

Access Recommendations ​

  • The description results are suitable for prefilling prompt for the user, but it is suggested that the user be allowed to edit.
  • For the media assets library scene, you can save the description as a search text.
  • You need to start to jump to Ideogram text-to-image when you want to continue to generate pictures based on a description.

Relevant Pages ​